i2p.susi.webmail

## Class MailPart

- java.lang.Object
- - i2p.susi.webmail.MailPart

    public class MailPart
    extends Object

Author:
  susi23

### Field Summary

Fields
`int` `begin`
`int` `beginBody`
`String` `boundary`
`ReadBuffer` `buffer`
`String` `charset`
`String` `description`
`String` `disposition`
`String` `encoding`
`int` `end`
`String` `filename`
`String[]` `headerLines`
`boolean` `message`
`boolean` `multipart`
`String` `name`
`ArrayList` `parts`
`String` `type`
`String` `version`

### Constructor Summary

Constructors
Constructor and Description
`MailPart()`

### Method Summary

Methods
`static String` `getFirstAttribute(String line)`
`static String` `getHeaderLineAttribute(String line, String attributeName)`
`static void` `parse(Mail mail)`
`void` `parse(ReadBuffer readBuffer)`
`void` `parse(ReadBuffer readBuffer, int offset, int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### headerLines

    public String[] headerLines

#### type

    public String type

#### boundary

    public String boundary

#### encoding

    public String encoding

#### name

    public String name

#### filename

    public String filename

#### description

    public String description

#### disposition

    public String disposition

#### charset

    public String charset

#### version

    public String version

#### beginBody

    public int beginBody

#### begin

    public int begin

#### end

    public int end

#### parts

    public ArrayList parts

#### multipart

    public boolean multipart

#### message

    public boolean message

#### buffer

    public ReadBuffer buffer

### Constructor Detail

#### MailPart

    public MailPart()

### Method Detail

#### parse

    public void parse(ReadBuffer readBuffer)

#### parse

    public void parse(ReadBuffer readBuffer,
             int offset,
             int length)

#### getFirstAttribute

    public static String getFirstAttribute(String line)

#### getHeaderLineAttribute

    public static String getHeaderLineAttribute(String line,
                                String attributeName)

#### parse

    public static void parse(Mail mail)

Parameters:
  `mail` -